QGIS Application - Bug report #12192
Snapping when opening a new QGIS project
2015-02-12 11:21 AM - Pedro Venancio

Status: Closed

Priority: Severe/Regression

Assignee: Jurgen Fischer

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20382
Description

In QGIS Master, to enable snapping when opening a new QGIS project and load layers, you must:

1) Open the Snapping Options (Settings -> Snapping Options)
2) Choose the Snapping mode "All layers" or "Advanced" and click OK, even without doing anything else.

Otherwise the snapping does not appear activated.

In 2.6.1 snapping is enabled by default, so it is a regression.

Note that

Settings -> Options -> Digitizing -> Snapping -> Default snap mode

is not "Off".

Tested in Windows (OSGeo4W 64bits) and Linux.

Associated revisions

Revision e2e23f0c - 2015-02-15 01:55 PM - Jiirgen Fischer
snapping dialog: block signals when reloading snapping options
QgsProject: also apply default when property is not available and not only if

an existing one is invalid

fixes #12192

History

#1 - 2015-02-12 08:17 PM - Nathan Woodrow

| can't confirm the having to change from Current Layer to Advanced. Just pressing OK is enough for me, but | can confirm the default settings not applying
when loading a project.

#2 - 2015-02-12 08:19 PM - Nathan Woodrow

Nope | was wrong. The default settings are being set for me here.

#3 - 2015-02-13 05:33 PM - Pedro Venancio
Nathan Woodrow wrote:

Nope | was wrong. The default settings are being set for me here.

Hi Nathan,

That is true only for the "Current layer", right? But not for the other layers. le, starting editing a layer, snapping is activated by default only for this layer, but
not for the others. In 2.6.1 snapping is enabled by default for all layers, if this option is selected in Settings -> Options -> Digitizing.

#4 - 2015-02-15 04:20 AM - Jiirgen Fischer

- Assignee set to Jirgen Fischer

#5 - 2015-02-15 05:02 AM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"e2e23f0c8efaf755b0a131cc4a69b4caa3a29c2d".
